> ## Documentation Index
> Fetch the complete documentation index at: https://docs.featherhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get available voices

> Get all available voices



## OpenAPI

````yaml get /api/v1/available-voices
openapi: 3.0.0
info:
  version: 1.0.0
  title: Feather AI API
servers:
  - url: https://prod.featherhq.com
    description: Production environment
security: []
paths:
  /api/v1/available-voices:
    get:
      tags:
        - Configuration
      summary: Get available voices
      description: Get all available voices
      parameters:
        - schema:
            type: string
            enum:
              - DEEPGRAM
              - CARTESIA
              - AMAZON
              - ELEVEN_LABS
              - PLAY_HT
              - RIME
              - OPENAI
              - INWORLD
              - SESAME
          required: false
          name: provider
          in: query
        - schema:
            type: string
          required: false
          name: model
          in: query
      responses:
        '200':
          description: Available voices retrieved successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  voices:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                        name:
                          type: string
                        description:
                          type: string
                          nullable: true
                        voiceId:
                          type: string
                        voiceSampleUrl:
                          type: string
                        photoUrl:
                          type: string
                          nullable: true
                        provider:
                          type: string
                          enum:
                            - DEEPGRAM
                            - CARTESIA
                            - AMAZON
                            - ELEVEN_LABS
                            - PLAY_HT
                            - RIME
                            - OPENAI
                            - INWORLD
                            - SESAME
                        model:
                          type: string
                        gender:
                          type: string
                          enum:
                            - MALE
                            - FEMALE
                        languages:
                          type: string
                        accent:
                          type: string
                        createdAt:
                          type: string
                        updatedAt:
                          type: string
                        languageId:
                          type: string
                      required:
                        - id
                        - name
                        - description
                        - voiceId
                        - voiceSampleUrl
                        - photoUrl
                        - provider
                        - model
                        - gender
                        - languages
                        - accent
                        - createdAt
                        - updatedAt
                        - languageId
                required:
                  - voices
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                type: object
                properties:
                  status:
                    type: integer
                    default: 500
                  message:
                    type: string
                    default: Internal server error
                  code:
                    type: string
                    enum:
                      - INTERNAL_SERVER_ERROR
                    default: INTERNAL_SERVER_ERROR
                  success:
                    type: boolean
                    enum:
                      - false
                    default: false
      security:
        - ApiKey: []
components:
  securitySchemes:
    ApiKey:
      type: apiKey
      in: header
      name: X-API-Key

````